with GNATCOM.Dispinterface;

package MSHTML.IHTMLCSSMediaList_Interface is

   type IHTMLCSSMediaList_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLCSSMediaList_Type);

   function Pointer (This : IHTMLCSSMediaList_Type)
     return Pointer_To_IHTMLCSSMediaList;

   procedure Attach (This    : in out IHTMLCSSMediaList_Type;
                     Pointer : in     Pointer_To_IHTMLCSSMediaList);

   procedure Put_mediaText
     (This : IHTMLCSSMediaList_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_mediaText
     (This : IHTMLCSSMediaList_Type)
     return GNATCOM.Types.BSTR;

   function Get_length
     (This : IHTMLCSSMediaList_Type)
     return Interfaces.C.long;

   function item
     (This        : IHTMLCSSMediaList_Type;
      index       : Interfaces.C.long)
     return GNATCOM.Types.BSTR;

   procedure appendMedium
     (This       : IHTMLCSSMediaList_Type;
      bstrMedium : GNATCOM.Types.BSTR;
      Free       : Boolean := True);

   procedure deleteMedium
     (This       : IHTMLCSSMediaList_Type;
      bstrMedium : GNATCOM.Types.BSTR;
      Free       : Boolean := True);

end MSHTML.IHTMLCSSMediaList_Interface;

